# $Revision: 1.15 $, $Date: 2012/05/17 19:24:50 $
Summary:	Screenshooter application and plugin for Xfce panel
Summary(pl.UTF-8):	Aplikacja screenshooter i wtyczka dla panelu Xfce
Name:		xfce4-screenshooter
Version:	1.8.1
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/apps/xfce4-screenshooter/1.8/%{name}-%{version}.tar.bz2
# Source0-md5:	d0ffea2052a8e70154cf13789070711f
Patch0:		desktop-name.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-screenshooter-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	exo-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfce4-panel-devel >= 4.10.0
Requires:	xfce4-dirs >= 4.6
Obsoletes:	xfce4-screenshooter-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This application allows you to capture the entire screen, the active
window or a selected region. You can set the delay that elapses before
the screenshot is taken and the action that will be done with the
screenshot: save it to a PNG file, copy it to the clipboard, open it
using another application, or host it on ZimageZ, a free online image
hosting service.

A plugin for the Xfce panel is also available.

%description -l pl.UTF-8
Ta aplikacja umożliwia zrobienie zrzutu ekranu, aktywnego okna albo
zaznaczonego obszaru. Można ustawić opóźnienie przed zrobieniem zrzutu
ekranu i akcję, która zostanie wykonana po: zapisać do pliku PNG,
przenieść do schowka, otworzyć przy pomocy innego programu lub
umieścić na ZimageZ, darmowym serwisie hostowania obrazów.

Dostępna jest też wtyczka dla panelu Xfce.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/xfce4-screenshooter
%{_desktopdir}/xfce4-screenshooter.desktop
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libscreenshooterplugin.so*
%{_datadir}/xfce4/panel/plugins/screenshooter.desktop
%{_iconsdir}/hicolor/*/apps/applets-screenshooter.*
%{_mandir}/man1/xfce4-screenshooter.1*

%dir %{_datadir}/doc/xfce4-screenshooter
%dir %{_datadir}/doc/xfce4-screenshooter/html
%{_datadir}/doc/xfce4-screenshooter/html/C
#%lang(ast) %{_datadir}/doc/xfce4-screenshooter/html/ast
%lang(ca) %{_datadir}/doc/xfce4-screenshooter/html/ca
%lang(da) %{_datadir}/doc/xfce4-screenshooter/html/da
%lang(es) %{_datadir}/doc/xfce4-screenshooter/html/es
%lang(fr) %{_datadir}/doc/xfce4-screenshooter/html/fr
%lang(gl) %{_datadir}/doc/xfce4-screenshooter/html/gl
%lang(id) %{_datadir}/doc/xfce4-screenshooter/html/id
%lang(it) %{_datadir}/doc/xfce4-screenshooter/html/it
%lang(ja) %{_datadir}/doc/xfce4-screenshooter/html/ja
%lang(pt) %{_datadir}/doc/xfce4-screenshooter/html/pt
%lang(tr) %{_datadir}/doc/xfce4-screenshooter/html/tr
%lang(zh_CN) %{_datadir}/doc/xfce4-screenshooter/html/zh_CN

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-screenshooter.spec,v $
Revision 1.15  2012/05/17 19:24:50  baggins
- asturian manual is broken

Revision 1.14  2012/05/17 19:23:36  baggins
- updated files

Revision 1.13  2012/05/17 19:20:32  baggins
- install manual where program wants it
- rel 2

Revision 1.12  2012/05/17 18:56:03  baggins
- remove la files

Revision 1.11  2012/05/17 18:50:17  baggins
- fix html manual dir

Revision 1.10  2012/05/17 18:38:32  baggins
- updating files

Revision 1.9  2012/05/17 18:36:37  baggins
- 1.8.1
- removed patches applied upstream

Revision 1.8  2012/04/14 09:22:01  glen
- rename desktop name to Screenshooter, to be able to distinguis with gnome Screenshot app

Revision 1.7  2011/02/19 16:24:40  baggins
- rel 5
- port to libxfce4ui
- plug some leaks

Revision 1.6  2011/02/17 11:45:10  megabajt
- release 4

Revision 1.5  2011/01/23 15:06:21  sparky
- BR: gettext-devel, intltool, libsoup-devel

Revision 1.4  2010/11/11 23:48:53  baggins
- no ur_PK locale

Revision 1.3  2010/11/11 23:46:54  baggins
- rel 3
- typo

Revision 1.2  2010/11/11 20:33:59  baggins
- rel 2
- dirs cleanup

Revision 1.1  2010/11/11 18:25:33  baggins
- xfce4-screenshooter-plugin replacement

